// eq2 shaders - Feal free to change what you need.
// I recommend adding these to your own shader file and rename the paths accordingly.
// Do  find\replace: "/eq2/" to "/yourmapname/"  (no quotes)
// author: evillair (evillair.net)
//
//
//----------------------------------------------------------------------------------//
// -- teleporter panel -- //
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/eq2_telepanel
{
	qer_editorimage textures/aty3dm5v2/eq2_telepanel.tga
	q3map_lightimage textures/aty3dm5v2/eq2_telegoo.tga
	q3map_surfacelight 25
	{
		map textures/aty3dm5v2/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.1 0 0.2
	}
	{
		map textures/aty3dm5v2/eq2_telepanel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//----------------------------------------------------------------------------------//
// banner - not moving
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/eq2_banner_still
{
     	qer_editorimage textures/aty3dm5v2/eq2_banner.tga
		cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 32
	{
        map textures/aty3dm5v2/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//----------------------------------------------------------------------------------//
// boucepad
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/eq2_bounce
{
	qer_editorimage textures/aty3dm5v2/eq2_bounce.tga
	
	{
		map textures/aty3dm5v2/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/aty3dm5v2/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/aty3dm5v2/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

//----------------------------------------------------------------------------------//
// spawn lites //
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightimage textures/aty3dm5v2/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_weap_spawnlite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_weap_spawnlite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//----------------------------------------------------------------------------------//
// -----lights ----- //
//----------------------------------------------------------------------------------//


textures/aty3dm5v2/eq2lt_clight_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/aty3dm5v2/eq2_32caplight.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_32caplight.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_32caplight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_32caplight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_baselt03
{
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightimage textures/aty3dm5v2/eq2_baselt03.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_baselt03.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_baselt03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_baselt03.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_baselt03b
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/aty3dm5v2/eq2_baselt03b.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_trimlight_3k
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	q3map_lightsubdivide 32
	q3map_lightimage textures/aty3dm5v2/eq2_trimlight_01.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_trimlight_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlight_01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	q3map_lightimage textures/aty3dm5v2/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlight_01s.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlight_01s.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_trimlite
{
	surfaceparm nomarks
	q3map_surfacelight 2500
	q3map_lightimage textures/aty3dm5v2/eq2_trimlite_side.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_trimlite_side.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlite_side.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimlite_side.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/aty3dm5v2/eq2lt_trimv_lite_4k
{
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_lightimage textures/aty3dm5v2/eq2_trimv_lite.blend.tga
	qer_editorimage textures/aty3dm5v2/eq2_trimv_lite.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimv_lite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aty3dm5v2/eq2_trimv_lite.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//----------------------------------------------------------------------------------//
//Decals//
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/esfl01
{
	qer_editorimage textures/aty3dm5v2/esfl01.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl02
{
	qer_editorimage textures/aty3dm5v2/esfl02.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl02.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl03
{
	qer_editorimage textures/aty3dm5v2/esfl03.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl03.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl04
{
	qer_editorimage textures/aty3dm5v2/esfl04.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl04.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl05
{
	qer_editorimage textures/aty3dm5v2/esfl05.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl05.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl06
{
	qer_editorimage textures/aty3dm5v2/esfl06.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl07
{
	qer_editorimage textures/aty3dm5v2/esfl07.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl07.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl08
{
	qer_editorimage textures/aty3dm5v2/esfl08.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl08.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl09
{
	qer_editorimage textures/aty3dm5v2/esfl09.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl09.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl10
{
	qer_editorimage textures/aty3dm5v2/esfl10.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl10.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl11
{
	qer_editorimage textures/aty3dm5v2/esfl11.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl11.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl12
{
	qer_editorimage textures/aty3dm5v2/esfl12.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl12.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl13
{
	qer_editorimage textures/aty3dm5v2/esfl13.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl13.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl14
{
	qer_editorimage textures/aty3dm5v2/esfl14.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl14.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl15
{
	qer_editorimage textures/aty3dm5v2/esfl15.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl15.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl16
{
	qer_editorimage textures/aty3dm5v2/esfl16.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl16.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esfl17
{
	qer_editorimage textures/aty3dm5v2/esfl17.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esfl17.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws01
{
	qer_editorimage textures/aty3dm5v2/esws01.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws02
{
	qer_editorimage textures/aty3dm5v2/esws02.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws02.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws03
{
	qer_editorimage textures/aty3dm5v2/esws03.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws03.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws04
{
	qer_editorimage textures/aty3dm5v2/esws04.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws04.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws05
{
	qer_editorimage textures/aty3dm5v2/esws05.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws05.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws06
{
	qer_editorimage textures/aty3dm5v2/esws06.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws07
{
	qer_editorimage textures/aty3dm5v2/esws07.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws07.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws08
{
	qer_editorimage textures/aty3dm5v2/esws08.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws08.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws09
{
	qer_editorimage textures/aty3dm5v2/esws09.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws09.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws10
{
	qer_editorimage textures/aty3dm5v2/esws10.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws10.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws11
{
	qer_editorimage textures/aty3dm5v2/esws11.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws11.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws12
{
	qer_editorimage textures/aty3dm5v2/esws12.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws12.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws13
{
	qer_editorimage textures/aty3dm5v2/esws13.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws13.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws14
{
	qer_editorimage textures/aty3dm5v2/esws14.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws14.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/esws15
{
	qer_editorimage textures/aty3dm5v2/esws15.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/esws15.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

//---------------------------------------------------------------------------------//
//glass//
//---------------------------------------------------------------------------------//
textures/aty3dm5v2/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/aty3dm5v2/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
              }
}

//----------------------------------------------------------------------------------//
//Phong shaders//
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/eq2_bmtl
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm5v2/eq2_bmtl.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm5v2/eq2_bmtl.tga
 		blendFunc filter
        }
}

textures/aty3dm5v2/eq2_trimv_00
{
 	q3map_nonplanar
 	q3map_shadeangle 70
 	qer_editorimage textures/aty3dm5v2/eq2_trimv_00.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/aty3dm5v2/eq2_trimv_00.tga
 		blendFunc filter
        }
}

//----------------------------------------------------------------------------------//
//Fan//
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/fan_grate
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm	metalsteps	
	cull none
        nopicmip
	{
		map textures/aty3dm5v2/fan_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aty3dm5v2/fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/aty3dm5v2/fan.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//--------------------------------------------------------------------------------//
//Misc Decals//
//--------------------------------------------------------------------------------//
textures/aty3dm5v2/europa2
{
	qer_editorimage textures/aty3dm5v2/europa2.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/europa2.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/q3
{
	qer_editorimage textures/aty3dm5v2/q3.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/q3.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_xro1
{
	qer_editorimage textures/aty3dm5v2/z_xro1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_xro1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_gor1
{
	qer_editorimage textures/aty3dm5v2/z_gor1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_gor1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_hun1
{
	qer_editorimage textures/aty3dm5v2/z_hun1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_hun1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_maj1
{
	qer_editorimage textures/aty3dm5v2/z_maj1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_maj1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_sor1
{
	qer_editorimage textures/aty3dm5v2/z_sor1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_sor1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/z_wrk1
{
	qer_editorimage textures/aty3dm5v2/z_wrk1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/z_wrk1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/w_decor
{
	qer_editorimage textures/aty3dm5v2/w_decor.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/w_decor.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}


textures/aty3dm5v2/w_dec2
{
	qer_editorimage textures/aty3dm5v2/w_dec2.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/w_dec2.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_gor
{
	qer_editorimage textures/aty3dm5v2/y_gor.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_gor.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_xae
{
	qer_editorimage textures/aty3dm5v2/y_xae.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_xae.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_hun
{
	qer_editorimage textures/aty3dm5v2/y_hun.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_hun.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_maj
{
	qer_editorimage textures/aty3dm5v2/y_maj.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_maj.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_sor
{
	qer_editorimage textures/aty3dm5v2/y_sor.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_sor.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5v2/y_wrk
{
	qer_editorimage textures/aty3dm5v2/y_wrk.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5v2/y_wrk.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

//----------------------------------------------------------------------------------//
//Fog//
//----------------------------------------------------------------------------------//
textures/aty3dm5v2/hellfog_pj_dm10
{
	qer_editorimage textures/aty3dm5v2/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 50
	fogparms ( .5 .12 .1 ) 392

	
	
	{
		map textures/aty3dm5v2/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/aty3dm5v2/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

//----------------------------------------------------------------------------------//
// end //
//----------------------------------------------------------------------------------//
